Smart Collect
Add an Allowed Payer Account
Add an Allowed Payer Account using the Razorpay Smart Collect TPV APIs.
POST
Use this endpoint to add an allowed payer’s account.
Path Parameters
string
required
The unique identifier of the Customer Identifier to which you want to add
allowed_payers account details.Request Parameters
string
required
The type of account. Possible value is
bank_account.object
required
Indicates the bank account details such as
ifsc and account_number.string
required
The IFSC associated with the bank account.
string
required
The bank account number.
Handy TipsSBI account numbers can contain zeros preceding actual numbers. You should enter the complete account number, including these zeros, or else the transaction will fail, and the amount will be refunded automatically.For example, if the account number is 00000022234631312, add the complete account number and not just 22234631312.
Response Parameters
string
The unique identifier of the Customer Identifier.
string
The
merchant billing label as it appears on the Dashboard.string
Indicates the type of entity. Here, it is
virtual account.string
Indicates whether the Customer Identifier is in
active or closed state.string
A brief description about the Customer Identifier.
integer
The amount expected by the merchant.
integer
The amount paid by the customer into the Customer Identifier.
json object
Any custom notes you might want to add to the Customer Identifier can be entered here. Check the Notes section to know more.
string
Unique identifier of the customer the Customer Identifier is linked with. Check the Customer API section to know more.
json object
Configuration of desired receivers for the Customer Identifier.
string
The unique identifier of the Customer Identifier. Sample id for Customer Identifier is
ba_Di5gbQsGn0QSz3string
Name of the entity. Possible value is
bank_account.string
The IFSC for the Customer Identifier created. For example,
RAZR0000001. This parameter appears in the response only when bank_account is passed as the receiver type.string
The bank associated with the Customer Identifier. For example,
RAZR0000001. This parameter appears in the response only when bank_account is passed as the receiver type.string
The unique account number provided by the bank. For example,
1112220061746877. This parameter appears in the response only when bank_account is passed as the receiver type.string
The
merchant billing label as it appears on the Dashboard. This parameter appears in the response only when bank_account is passed as the receiver type.json object
Any custom notes you might want to add to the Customer Identifier can be entered here. Check the Notes section to know more. This parameter appears in the response only when
bank_account is passed as the receiver type.array
Details of customer bank accounts which will be allowed to make payments to your Customer Identifier. The parent parameter under which the customer bank account details must be passed as child parameters. You can add account details of 10 allowed payers for a Customer Identifier. For more details, refer to the Third Party Validation section.
string
The type of account through which the customer will make the payment. Possible value is
bank_account.string
The unique identifier of the
allowed_payers account.object
Indicates the bank account details such as
ifsc and account_number.string
The IFSC associated with the bank account through which the customer is expected to make the payment.
string
The bank account number through which the customer is expected to make the payment.
integer
UNIX timestamp at which the Customer Identifier is scheduled to be automatically closed. The time must be at least 15 minutes after current time. The date range can be set till
2147483647 in UNIX timestamp format (equivalent to Tuesday, January 19, 2038 8:44:07 AM GMT+05:30). Any request beyond 2147483647 UNIX timestamp will fail.integer
UNIX timestamp at which the Customer Identifier is automatically closed.
integer
UNIX timestamp at which the Customer Identifier was created.
Errors
Account validation is only applicable on bank account as a receiver type
Account validation is only applicable on bank account as a receiver type
Code:
400This error occurs when you try to add an allowed payer account on a Customer Identifier with VPA added as a receiver (with or without a Bank account).Solution: You cannot add an allowed payer account on a Customer Identifier with VPA added as a receiver (with or without a Bank account).Only 10 allowed payer accounts can be added.
Only 10 allowed payer accounts can be added.
Code:
400This error occurs when you try to add new allowed payer accounts when the overall allowed_payers limit is exceeded. You can only add up to 10 allowed payer accounts.Solution: Do not add more than 10 allowed payers.The bank account.account number field is required when bank account is present.
The bank account.account number field is required when bank account is present.
Code:
400This error occurs when you do not pass the bank account number in the request.Solution: Make sure to pass the bank account number in the request.The bank account.ifsc field is required when bank account is present
The bank account.ifsc field is required when bank account is present
Code:
400This error occurs when you do not pass the IFSC in the request.Solution: Make sure to pass the IFSC in the request.The ifsc must be 11 characters.
The ifsc must be 11 characters.
Code:
400This error occurs when you pass an incorrect IFSC in the request. An IFSC must be 11 characters.Solution: Make sure to pass a valid IFSC in the request.Payer detail already exist for virtual account.
Payer detail already exist for virtual account.
Code:
400This error occurs when you try to add a duplicate allowed payer’s account with the same IFSC and account number that already exists.Solution: Make sure to add a valid allowed payer’s account.Bharat QR not supported for Customer Identifier.
Bharat QR not supported for Customer Identifier.
Code:
400Passing the receivers as qr.Solution: We have deprecated the qr receiver type from our APIs. From now on, only vpa and bank_account will be supported. (Jun 2022).Bharat QR not enabled.
Bharat QR not enabled.
Code:
400If you are a new merchant trying to create a Bharat QR code.Solution: We have deprecated the bharat_qr type for QR v2 product.